Drop dependency on python-support (obsolete package) debian/0.4.3-1kali2
authorSophie Brun <sophie@freexian.com>
Thu, 28 Jan 2016 14:52:43 +0000 (15:52 +0100)
committerSophie Brun <sophie@freexian.com>
Thu, 28 Jan 2016 14:53:19 +0000 (15:53 +0100)
* Drop dependency on python-support (obsolete package)
* Use debhelper 9
* Add a debian/watch

debian/changelog
debian/compat
debian/control
debian/watch [new file with mode: 0644]

index abffdb6..1861829 100644 (file)
@@ -1,3 +1,11 @@
+pdf-parser (0.4.3-1kali2) kali-dev; urgency=medium
+
+  * Drop dependency on python-support (obsolete package)
+  * Use debhelper 9
+  * Add a debian/watch
+
+ -- Sophie Brun <sophie@freexian.com>  Thu, 28 Jan 2016 15:51:39 +0100
+
 pdf-parser (0.4.3-1kali1) kali; urgency=low
 
   * Update to 0.4.3
index 45a4fb7..ec63514 100644 (file)
@@ -1 +1 @@
-8
+9
index a326c10..d57c7fa 100644 (file)
@@ -2,15 +2,15 @@ Source: pdf-parser
 Section: utils
 Priority: extra
 Maintainer: Devon Kearns <dookie@kali.org>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.3
 Homepage: http://blog.didierstevens.com/programs/pdf-tools/
-Vcs-Git: ssh://git@git.kali.org/packages/pdf-parser.git
+Vcs-Git: git://git.kali.org/packages/pdf-parser.git
 Vcs-Browser: http://git.kali.org/gitweb/?p=packages/pdf-parser.git;a=summary
 
 Package: pdf-parser
 Architecture: all
-Depends: ${misc:Depends}, python, python-support, zlib1g
+Depends: ${misc:Depends}, python, zlib1g
 Description: Parses PDF files to identify fundamental elements
  This tool will parse a PDF document to identify the 
  fundamental elements used in the analyzed file. It will not 
diff --git a/debian/watch b/debian/watch
new file mode 100644 (file)
index 0000000..bbec49e
--- /dev/null
@@ -0,0 +1,3 @@
+version=3 
+opts="uversionmangle=s/_/\./g" \
+http://blog.didierstevens.com/programs/pdf-tools/ .*/pdf-parser_v?V?(\d.*)\.zip